/*****************************************************************************
 *   Placeholder for board related defines
 *
 *   Copyright(C) 2013, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************/
#ifndef __BOARD_H__
#define __BOARD_H__

// Create defines for simpler access of LED1
#define LED1_PORT    PORT0
#define LED1_PIN     2
#define LED_ON       0    //Low output turn LED on
#define LED_OFF      1    //High output turn LED off

// Create define for simpler access of push-button
#define SW2_PIN      5
#define SW2_PORT     PORT1
#define SW2_PORT_REG LPC_GPIO1->DATA
#define SW_PRESSED   0          //Push-button is pressed when input is low

#define SW3_PIN      4
#define SW3_PORT     PORT1
#define SW3_PORT_REG LPC_GPIO1->DATA

// Create define for simpler access of buzzer
#define BUZZ_PIN      7
#define BUZZ_PORT     PORT0
#define BUZZ_ON       0
#define BUZZ_OFF      1

#endif /* __BOARD_H__ */
