/*****************************************************************************
 *   The proposed solution for LPCXpresso Experiment Kit, Lab 1a
 *
 *   Copyright(C) 2013, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************/

#include "LPC11xx.h"


// Create defines for simpler access of LED1
#define DIR_REG_LED1   LPC_GPIO0->DIR
#define DATA_REG_LED1  LPC_GPIO0->DATA
#define PIO_PIN_LED1   2
#define LED1_ON        DATA_REG_LED1 &= ~(1<<PIO_PIN_LED1)
#define LED1_OFF       DATA_REG_LED1 |= (1<<PIO_PIN_LED1)


int main (void)
{
  // Set PIO0_2 as an output
  DIR_REG_LED1 |= (0x1<<PIO_PIN_LED1);

  // Turn LED1 on
  LED1_ON;

  while(1)
	;

  return 0;
}
