/*****************************************************************************
 *   The proposed solution for LPCXpresso Experiment Kit, Lab 1c
 *
 *   Copyright(C) 2013, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************/

#include "LPC11xx.h"
#include "type.h"
#include "board.h"
#include "gpio.h"
#include "delay.h"

int
main(void)
{
  //Set LED1 pin (PIO0_2) as an output
  GPIOSetDir(PIO_GPIO_LED1, PIO_PIN_LED1, GPIO_OUTPUT);

  while (1)
  {
    // Turn LED1 on
    GPIOSetValue(PIO_GPIO_LED1, PIO_PIN_LED1, LED_ON);

    delayMS(50);

    // Turn LED1 off
    GPIOSetValue(PIO_GPIO_LED1, PIO_PIN_LED1, LED_OFF);

    delayMS(150);

    // Turn LED1 on
    GPIOSetValue(PIO_GPIO_LED1, PIO_PIN_LED1, LED_ON);

    delayMS(50);

    // Turn LED1 off
    GPIOSetValue(PIO_GPIO_LED1, PIO_PIN_LED1, LED_OFF);

    delayMS(750);
  }

  return 0;
}
