/*****************************************************************************
 *   The proposed solution for LPCXpresso Experiment Kit, Lab 4a
 *
 *   Copyright(C) 2013, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************/

#include "stdio.h"


int main (void)
{
  unsigned int variableToHoldValue;     //declare a 32-bit variable
  unsigned char *pBytePointer;          //declare a byte-pointer

  printf("\nThis is a first test...\n");
  printf("that semihosting and printf() works - and it does!");

  //store value in 32-bit variable
  variableToHoldValue = 0x0AC0FFEE;

  //set the byte-pointer to the beginning (first byte) of the 32-bit variable
  pBytePointer = (unsigned char *)&variableToHoldValue;

  //Test if big-endian
  if ((*pBytePointer     == 0x0A) &&
      (*(pBytePointer+1) == 0xC0) &&
      (*(pBytePointer+2) == 0xFF) &&
      (*(pBytePointer+3) == 0xEE))
    printf("\nThe CPU is a Big-endian system\n");

  //Test if little-endian instead
  else if ((*pBytePointer     == 0xEE) &&
           (*(pBytePointer+1) == 0xFF) &&
           (*(pBytePointer+2) == 0xC0) &&
           (*(pBytePointer+3) == 0x0A))
    printf("\nThe CPU is a Little-endian system\n");

  //Neighther if the tests was correct – something is VERY wrong here!!!
  else
    printf("\nSomething is VERY wrong here!!!\n");

  while(1)
	;

  return 0;
}
