#include "stdio.h"
#include "uart.h"

//use UART for printf
int __sys_write(int iFileHandle, char *pcBuffer, int iLength)
{
  UARTSendBuffer((uint8_t*)pcBuffer,(uint16_t)iLength);    //send data buffer to UART
  return iLength;
}


int __sys_readc(void)
{
  char c;
  UARTReceive((uint8_t*)&c, 1, TRUE);
  return (int)c;
}
